> For the complete documentation index, see [llms.txt](https://docs.datasaur.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datasaur.ai/integrations/robosaur/commands.md).

# Commands

Currently Robosaur supports four commands: `create-projects`, `export-projects`, `apply-tags`, and `split-document`. All of these actions can be configured from the same configuration file. A configuration file must be properly filled before running the commands.

The example below shows a sample configuration structure. Several values can be customized based on your workflow. Refer to each command page for detailed configuration explanations. All values in the `<...>` format must be replaced with your own values.

{% code overflow="wrap" %}

```json
{
  "datasaur": { // mandatory attribute
    "host": "https://app.datasaur.ai", // should be adjusted if you use custom installation
    "clientId": "<DATASAUR_CLIENT_ID>",
    "clientSecret": "<DATASAUR_CLIENT_SECRET>"
  },
  "projectState": { // mandatory attribute
    "source": "local", // also support cloud object storage, see Storage Options page
    "path": "<path-to-JSON-state-file>"
  },
  "splitDocument": { // specifically for this, no need mandatory attributes above
    "path": "<path-to-a-file-that-will-be-split>",
    "header": true,
    "linesPerFile": 100,
    "filesPerFolder": 10,
    "resultFolder": "<path-to-all-split-files-result>"
  },
  "create": { // create-projects command
    "teamId": "<TEAM_ID>",
    "files": { // also support cloud object storage, see Storage Options page
      "source": "local",
      "path": "<path-to-data-source>"
    },
    "pcwAssignmentStrategy": "ALL", // or AUTO
    "pcwPayload": <paste-payload-from-PCW>
  },
  "applyTags": { // apply-tags command
    "teamId": "<TEAM_ID>",
    "source": "inline",
    "payload": [
      { "projectId": "<PROJECT_ID_1>", "tags": ["<TAG_1>", "<TAG_2>"] }
    ]
  },
  "export": { // export-projects command
    "source": "local", // also support cloud object storage, see Storage Options page
    "prefix": "<destination-path-for-exported-result>",
    "teamId": "<TEAM_ID>",
    "statusFilter": [],
    "format": "JSON_ADVANCED",
    "fileTransformerId": null
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.datasaur.ai/integrations/robosaur/commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
